English

Error: Error creating annotation feature class

Error Message

When converting labels to annotation the following error message occurs:

"Error creating annotation feature class.
This release of the Geodatabase is either invalid or out of date."

Cause

This error message indicates that the annotation feature class being created is incompatible with the version of ArcGIS being used.

If working with an existing 8.1.x geodatabase with ArcGIS 8.2 or ArcGIS 8.3 or an 8.3 or earlier database with ArcGIS 9.0 or later, creating annotation that would cause it to become incompatible with the ArcGIS release the database corresponds to is not permitted. If the geodatabase annotation is being edited with ArcGIS 8.2 or ArcGIS 8.3, the geodatabase should be at least a version 8.2 geodatabase. If the geodatabase annotation is being edited with ArcGIS 9.0 or later, the geodatabase should be at least a version 9.0 geodatabase.

Solution or Workaround

Upgrade the geodatabase.

For more information on how to upgrade a geodatabase, see ArcGIS online documentation under 'Working with geodatabases'.

Note:
By upgrading the geodatabase, the annotation feature class will no longer be able to be edited in older versions of ArcMap.

Geodatabase annotation is not backward compatible. A number of enhancements were made to symbology in ArcGIS 8.2, and the storage for symbology has changed to accommodate those enhancements.